com.aliyun.svideosdk.common.struct.common

## Enum VideoQuality

- java.lang.Object
- - java.lang.Enum<VideoQuality>
  - - com.aliyun.svideosdk.common.struct.common.VideoQuality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VideoQuality>

      public enum VideoQuality
      extends java.lang.Enum<VideoQuality>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EPD` Extremely low
    `HD` High
    `LD` Low
    `PD` Very low
    `SD` Medium
    `SSD` Very high

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoQuality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VideoQuality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SSD

          public static final VideoQuality SSD

      Very high

    - #### HD

          public static final VideoQuality HD

      High

    - #### SD

          public static final VideoQuality SD

      Medium

    - #### LD

          public static final VideoQuality LD

      Low

    - #### PD

          public static final VideoQuality PD

      Very low

    - #### EPD

          public static final VideoQuality EPD

      Extremely low

  - ### Method Detail

    - #### values

          public static VideoQuality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoQuality c : VideoQuality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoQuality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null